package capitulo03.bloque02;

import java.util.Scanner;

public class Ejercicio2 {
    public static void main(String[] args) {
        Scanner sc = new Scanner(System.in);

        /*
         * Mayor y menor de una cantidad de números dada por el usuario.
         * El usuario introducirá una cantidad de números, tras lo cual se le deben pedir tantos como este haya indicado.
         * Al final se debe imprimir el mayor y el menor de todos los introducidos.
         */

        int repeticiones, numMayor = 0, numMenor = 0, tempVar;

        System.out.println("¿De cuántos números quiere saber cúal es el mayor y el menor?");
        repeticiones = sc.nextInt();

        for (int i = 0; i < repeticiones; i++) {
            System.out.println("Introduzca el siguiente número: ");
            tempVar = sc.nextInt();
            if (i == 0) {
                numMayor = tempVar;
                numMenor = tempVar;
            } else {
                if (numMayor < tempVar) numMayor = tempVar;
                if (numMenor > tempVar) numMenor = tempVar;
            }
        }

        System.out.println("De los números introducidos, el mayor es " + numMayor + " y el menor es " + numMenor);

    }
}

